Skip to main content
POST
/
api
/
v1
/
search-email-leads
/
search-filters
/
save-search
curl -X POST "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/save-search?api_key=YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"search_string": "Directors in United States"}'
{
  "success": true,
  "message": "Search saved successfully"
}
This endpoint requires authentication via API key passed as a query parameter (api_key).

Query Parameters

api_key
string
required
Your SmartLead API key for authentication

Request Body

The request body must be JSON. search_string is required (human-readable name for the saved search). All other fields are optional search criteria.
search_string
string
required
Human-readable name for the saved search (min length 1).
name
string[]
Full name(s) to search.
firstName
string[]
First name(s).
lastName
string[]
Last name(s).
title
string[]
Job title(s).
excludeTitle
string[]
Titles to exclude.
includeTitle
string[]
Titles to include.
excludeCompany
string[]
Companies to exclude.
excludeCompanyDomain
string[]
Company domains to exclude.
includeCompany
string[]
Companies to include.
includeCompanyDomain
string[]
Company domains to include.
department
string[]
Department(s).
level
string[]
Seniority level(s).
companyName
string[]
Company name(s).
companyDomain
string[]
Company domain(s).
companyKeyword
string[]
Company keyword(s).
companyHeadCount
string[]
Company headcount(s).
companyRevenue
string[]
Company revenue range(s).
companyIndustry
string[]
Industry(ies).
companySubIndustry
string[]
Sub-industry(ies).
city
string[]
City(ies).
state
string[]
State(s).
country
string[]
Country(ies).
dontDisplayOwnedContact
boolean
Whether to hide owned contacts.
limit
number
Result limit (1–10000).
titleExactMatch
boolean
Match title exactly.
companyExactMatch
boolean
Match company exactly.
companyDomainExactMatch
boolean
Match company domain exactly.
curl -X POST "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/save-search?api_key=YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"search_string": "Directors in United States"}'

Response Codes

200
Success
Request successful
401
Unauthorized
Unauthorized
500
Internal Server Error
Internal Server Error
{
  "success": true,
  "message": "Search saved successfully"
}